<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.mail.mapper.MailServerPortConfigMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.mail.pojo.entity.MailServerPortConfigEntity" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap">
            <id column="id" property="id" />
            <result column="mail_server_suffix" property="mailServerSuffix" />
            <result column="pop_port_ssl" property="popPortSsl" />
            <result column="pop_port" property="popPort" />
            <result column="smtp_port_ssl" property="smtpPortSsl" />
            <result column="smtp_port_tls" property="smtpPortTls" />
            <result column="smtp_port" property="smtpPort" />
            <result column="imap_port_ssl" property="imapPortSsl" />
            <result column="imap_port" property="imapPort" />
            <result column="pop_server" property="popServer" />
            <result column="imap_server" property="imapServer" />
            <result column="smtp_server" property="smtpServer" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                owner_by,
                create_time,
                update_time,
                is_delete,
                enabled,
                create_by,
                update_by,
                sort,
            id, mail_server_suffix, pop_port_ssl, pop_port,smtp_port_tls, smtp_port_ssl, smtp_port, imap_port_ssl, imap_port, pop_server, imap_server, smtp_server
        </sql>

</mapper>
